pidgin: PurpleDnsQueryUiOps Struct Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Data Fields
PurpleDnsQueryUiOps Struct Reference

DNS Request UI operations; UIs should implement this if they want to do DNS lookups themselves, rather than relying on the core. More...

`#include <dnsquery.h>`

## Data Fields
gboolean(* | resolve_host )(PurpleDnsQueryData *query_data, PurpleDnsQueryResolvedCallback resolved_cb, PurpleDnsQueryFailedCallback failed_cb)
| If implemented, return TRUE if the UI takes responsibility for DNS queries.
void(* | destroy )(PurpleDnsQueryData *query_data)
| Called just before query_data is freed; this should cancel any further use of query_data the UI would make.
void(* | _purple_reserved1 )(void)
void(* | _purple_reserved2 )(void)
void(* | _purple_reserved3 )(void)
void(* | _purple_reserved4 )(void)

## Detailed Description

DNS Request UI operations; UIs should implement this if they want to do DNS lookups themselves, rather than relying on the core.

See also
  ui-ops

Definition at line 59 of file dnsquery.h.

## Field Documentation

## ◆ _purple_reserved1

void(* PurpleDnsQueryUiOps::_purple_reserved1) (void)

Definition at line 73 of file dnsquery.h.

## ◆ _purple_reserved2

void(* PurpleDnsQueryUiOps::_purple_reserved2) (void)

Definition at line 74 of file dnsquery.h.

## ◆ _purple_reserved3

void(* PurpleDnsQueryUiOps::_purple_reserved3) (void)

Definition at line 75 of file dnsquery.h.

## ◆ _purple_reserved4

void(* PurpleDnsQueryUiOps::_purple_reserved4) (void)

Definition at line 76 of file dnsquery.h.

## ◆ destroy

void(* PurpleDnsQueryUiOps::destroy) (PurpleDnsQueryData *query_data)

Called just before query_data is freed; this should cancel any further use of query_data the UI would make.

Unneeded if resolve_host is not implemented.

Definition at line 71 of file dnsquery.h.

## ◆ resolve_host

gboolean(* PurpleDnsQueryUiOps::resolve_host) (PurpleDnsQueryData *query_data, PurpleDnsQueryResolvedCallback resolved_cb, PurpleDnsQueryFailedCallback failed_cb)

If implemented, return TRUE if the UI takes responsibility for DNS queries.

When returning FALSE, the standard implementation is used.

Definition at line 63 of file dnsquery.h.

The documentation for this struct was generated from the following file:

- dnsquery.h